Bug 450835 - gfs_fsck build warnings
gfs_fsck build warnings
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: GFS (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robert Peterson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 05:40 EDT by Steve Whitehouse
Modified: 2008-06-19 01:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-19 01:23:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (11.04 KB, patch)
2008-06-12 16:04 EDT, Robert Peterson
no flags Details | Diff
Addendum patch (681 bytes, patch)
2008-06-13 09:52 EDT, Robert Peterson
no flags Details | Diff

  None (edit)
Description Steve Whitehouse 2008-06-11 05:40:13 EDT
From the ia64 build logs:

gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o fs_bits.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bits.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bits.c: In function
'fs_get_bitmap':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bits.c:284: warning:
pointer targets in assignment differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bits.c: In function
'fs_set_bitmap':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bits.c:341: warning:
pointer targets in passing argument 1 of 'fs_setbit' differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o fs_bmap.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_bmap.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o fs_dir.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c: In function
'leaf_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:285: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c: In function
'linked_leaf_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:372: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c: In function
'dir_e_add':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:1246: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c: In function
'dir_l_add':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:1443: warning:
pointer targets in passing argument 1 of 'gfs_dir_hash' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c: In function
'fs_dir_search':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:454: warning:
'bh' may be used uninitialized in this function
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_dir.c:454: note:
'bh' was declared here
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o fs_inode.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_inode.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_inode.c: In function
'fs_mkdir':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_inode.c:506:
warning: pointer targets in assignment differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o fs_recovery.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/fs_recovery.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o hash.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/hash.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o initialize.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/initialize.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o inode.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/inode.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o inode_hash.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/inode_hash.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o link.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/link.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o log.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c: In function 'query':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c:107: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c:117: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c:127: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/log.c:138: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o lost_n_found.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/lost_n_found.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o main.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/main.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/main.c: In function
'interrupt':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/main.c:126: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/main.c:139: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/main.c:153: warning:
ignoring return value of 'read', declared with attribute warn_unused_result
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o metawalk.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/metawalk.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o ondisk.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/ondisk.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass1.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass1.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass1b.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass1b.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass1c.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass1c.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass2.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass2.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass2.c: In function
'build_rooti':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass2.c:520: warning:
pointer targets in initialization differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass2.c:527: warning:
pointer targets in initialization differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass3.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass3.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass4.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass4.c
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o pass5.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass5.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass5.c: In function
'check_block_status':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass5.c:175: warning:
pointer targets in assignment differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/pass5.c:177: warning:
pointer targets in assignment differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o rgrp.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/rgrp.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/rgrp.c: In function
'fs_rgrp_recount':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/rgrp.c:325: warning:
pointer targets in passing argument 1 of 'fs_bitcount' differ in signedness
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o super.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c: In function
'gfs_rgindex_calculate':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:1010: warning:
pointer targets in passing argument 2 of 'hexdump' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c: In function
'ri_update':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:1086: warning:
pointer targets in passing argument 3 of 'gfs_rgindex_calculate' differ in
signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:1095: warning:
pointer targets in passing argument 3 of 'gfs_rgindex_rebuild' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c: In function
'gfs_rgindex_rebuild':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:670: warning:
'end_block' may be used uninitialized in this function
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c: In function
'gfs_rgindex_calculate':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:886: warning:
'length' may be used uninitialized in this function
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:886: warning:
'addr' may be used uninitialized in this function
gcc -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"2.99.03\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o util.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c: In function
'next_rg_meta':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c:160: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c: In function
'next_rg_meta_free':
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c:213: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/util.c:216: warning:
pointer targets in passing argument 1 of 'fs_bitfit' differ in signedness
Comment 1 Robert Peterson 2008-06-12 16:04:17 EDT
Created attachment 309140 [details]
Proposed patch

Here is the patch I'm planning to push.
Comment 2 Robert Peterson 2008-06-12 16:10:03 EDT
Tested on x86_64 and ia64.  Now pushed to master and STABLE2 branches.
Comment 3 Fabio Massimo Di Nitto 2008-06-12 23:47:06 EDT
Hi Bob,

looks good on 64bit userland.

32bit:

gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -Werror -Wall
-Wformat=2 -MMD -O2 -g -I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"1213247212\" -Wall -Wformat=2 -MMD -O2 -g
-I/usr/src/upstream/cluster/rhcluster/cluster/make
-DDEFAULT_CONFIG_DIR=\"/etc/cluster\" -DDEFAULT_CONFIG_FILE=\"cluster.conf\"
-DLOGDIR=\"/var/log/cluster\" -DSYSLOGFACILITY=LOG_LOCAL4
-DRELEASE_VERSION=\"1213247212\" -D_FILE_OFFSET_BITS=64 -DHELPER_PROGRAM
-I/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/../include
-I/usr/include -c -o super.o
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c
cc1: warnings being treated as errors
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c: In function
‘ri_update’:
/usr/src/upstream/cluster/rhcluster/cluster/gfs/gfs_fsck/super.c:1163: error:
this decimal constant is unsigned only in ISO C90
make[1]: *** [super.o] Error 1
make[1]: Leaving directory
`/usr/src/upstream/cluster/rhcluster/obj-i686/gfs/gfs_fsck'
make: *** [all] Error 2

It's the only warning/error in gfs_fsck.

Fabio
Comment 4 Robert Peterson 2008-06-13 09:52:02 EDT
Created attachment 309213 [details]
Addendum patch

This patch fixes the super.c problem on my 32-bit box at least.
Now pushed to master and STABLE2.

Note You need to log in before you can comment on or make changes to this bug.